import { jsx } from "react/jsx-runtime";
import { BeltIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Belt = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Belt", ...props, children: /* @__PURE__ */ jsx(BeltIcon, { weight: variant }) });
  }
);
Belt.displayName = "Belt";
Object.assign(Belt, { isGdsIcon: true });
export {
  Belt
};
